@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;  
}


body{
    
    display: flex;
    align-items: center;
    justify-content: center;
    background:#070707;
    font-family: "Poppins", sans-serif;
    background-size:cover;
    min-height: 100vh;
    background-attachment: fixed;
    color: #d7d1d1;

}
a{
    text-decoration: none;
    font-family: "Poppins", sans-serif;
    color: #d7d1d1;
}
/********* section switchers **********************/

.switchers{
    position: fixed;
    z-index: 1;
    right:0;
    top: 0;
    transform: translate(-35% , 90%);

}

.switchportfolio{
    position: fixed;
}
.btnswitch{
    height: 100%;
    width: 100%;
   display: flex;
   flex-direction: column; 
   justify-content: center;
   row-gap: 10px;
   
  
}

.separator{
    display: none;
}

label{

   border-radius: 50px;
   display: flex;
   justify-content:center ;
   align-items: center;
   cursor: pointer;
   background-color: #91909065;
   width:45px; 
   height: 45px;

}
input[type="checkbox"]{
   opacity: 0;
}
.light{
   
   position: relative; 
   overflow: hidden;
}

.dark{
    opacity:0;
}
 .light, .dark{
    border-radius: 50px;
    transition: 0.8s ease; 
    width:24px; 
    height: 24px;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
}

input[type="checkbox"]:checked~ .light{
    opacity: 0;
    transform:  rotate(360deg) ;

}
.switchers:has(input[type="checkbox"]:checked) label {
    background-color: #000000a4;

}
input[type="checkbox"]:checked~ .dark{
    opacity:1;
    transform: rotate(360deg)  ;
}


.switchers:has(input[type="checkbox"]:checked) .btnswitch .langue .language-btn {
    color: #260328a4;

}
/*.switchers .langue .language-btn{
*/

.switchers:has(input[type="checkbox"]:checked)~ .reflect video
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .glass {
   filter:invert(1);
}

.switchers:has(input[type="checkbox"]:checked)~ .reflect .glass .header  {   
     filter: inherit;
    color: #282e2e;
}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .glass .header.btn {    
    filter: inherit;    
    color: #282e2e;

}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .glass .btn button a 
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .btn button a
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .contact .btn button  {    
    filter: inherit;    
    color: #141717;

}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .contact .btn button img  {    
    filter: invert(1);
}
/*light / dark mode for portfolio */
.switchers:has(input[type="checkbox"]:checked)~ .reflect .container{
    background: #f2f0f0e7;

}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .hero{
    background: #c5c4c44d;
    color: #141717;

}

.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .mininav a
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .contact h2    {
    color: #222222;

}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .mininav .nav1::before
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .mininav .nav2::before
,.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .mininav .nav3::before{


    border-right: 1px solid  #0e0e0e;

}
.switchers:has(input[type="checkbox"]:checked)~ .reflect .container .navPortfolio{
    filter: invert(1);

}

.langue {
    width: 45px;
    height: 45px;
    background: #b85cb8be;
    border-radius: 50px;
    font-weight: 500;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
   
   
}
 

.fr, .eng {
    position: absolute;
    transition: opacity 0.3s, visibility 0.3s;
    text-transform: capitalize;
    
}

/* Masquer les boutons non actifs */
.language-btn.hidden {
    opacity: 0;
    pointer-events: none;
}

.language-btn.active {
    opacity: 1;
}






/*********  page d'acceuil | index page  *************/
.reflect{
    content: '';
    width: 100%;
    height: 80vh;
    min-height: 80vh;
    position: relative;
    display: flex;
    justify-content: center;
    background: transparent;
      /*miroir effect*/
      -webkit-box-reflect: below 1px linear-gradient(transparent 91%,rgb(13, 13, 13)) ;

}
.bgindex{
    
    position: fixed;
    height:90vh;
    object-fit: cover;
    top:0 ;
    width: 100%;
}
.bg{
    position: fixed;
    bottom: 0;
    left:0;
    width: 100%;
    min-height:100vh;
    object-fit: cover; 
    opacity:1;
}

.glass{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    min-width: 300px;
    width: 50%;
    min-height: 50vh;
    position: relative;
    /*glass effect */
    position: relative;
    z-index: 20;
    height: 80vh;
    background: transparent;
    border-radius: 40px;
    border: 1px solid #f9f7f72a;
    box-shadow: 0px 9px 50px rgba(255, 255, 255, 0.107);
    overflow: hidden;
 
}
.glass::before{
    position: absolute;
    z-index: -2;
    content: '';
    width: 250%;
    height: 250%;
    background: conic-gradient(transparent, transparent,transparent ,rgb(253, 1, 236));
    animation: rotation 5s infinite linear;
    filter: inherit;

}
.glass::after{
    position: absolute;
    z-index: -2;
    content: '';
    width: 250%;
    height: 250%;
    background: conic-gradient(transparent, transparent,transparent ,rgb(253, 1, 236));
    animation: rotation 5s infinite linear;
    animation-delay: 2.5s;
    filter: inherit;
}
.bgglass{
    position: absolute;
    background-image: url(./images/bgweb.png);
    background-size: cover;
    width: 98%;
    height: 98%;
    border-radius: 40px;
    filter: blur(2px);
    z-index: -1;
}
@keyframes rotation{
   100%{ transform: rotate(360deg);}
}
.glass .header img{
    width: 90px;
    height: 90px;
    border-radius: 50%;
    margin-bottom: 45px;
    transform: scale(1.6);
    opacity: 0.9;
   /*filter: drop-shadow(0px 0px 50px rgba(253, 1, 236, 0.437));*/
}
.header{
    width: 100%;
    height: 60%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 3px;
    position: relative;
    transform: translateY(30px);

}
.header h2 {
    z-index: 1;
    font-size: 0.8em;
}
.header h4{ 
    position: inherit;
    font-size:  0.9em;
    font-weight: 400;
    width: 90%;
}
.btn{
    width: 100%;
    height: 150px;
    position: relative;

}
.btn button {
    z-index: 2;
    background: transparent;
    border-radius: 7px;
    color: #d8d6d7;  
    border: 0.9px solid #646464;
    height: 28px;
    width: 38%;
    transform: translateY(20px);
    cursor: pointer;
    overflow: hidden;
    
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    text-transform: capitalize;
}
.btn .dwnportfolio{
    width: 50%;
}
button a{
    text-decoration: none;

}
button:is(:hover)::after{
    position: absolute;
    z-index: -1;
    content: '';
    width:105%;
    height: 58px;
    background: #8a2f76c5;

    display: flex;
    top:-60px;
    left:-1px;
   animation: translate1 0.5s infinite ease-in-out;
   animation-fill-mode: forwards;
   animation-iteration-count: 1; 
   filter: inherit;
}
button:is(:hover)::before{
    position: absolute;
    z-index: -1;
    content: '';
    width: 105%;
    height: 58px;
    background: linear-gradient(transparent,transparent,#fcfbfb,transparent);
    display: flex;
    top:-60px;
    left:-1px;
   animation: translate2 0.5s infinite ease-in-out;
   animation-fill-mode: forwards;
   animation-iteration-count: 1; 
   animation-delay: 0.3s;
   filter: inherit;
}
.download::after{
    position: absolute;
    z-index: -1;
    content: '';
    width: 100%;
    height: 58px;
    background: #8a2f76c5;
    display: flex;
    top:-50%;
    
   
}
@keyframes translate1 {
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(50px);
    }
    
}
@keyframes translate2 {
    from{
        transform: translateY(50px);
    }
    to{
        transform: translateY(0px);
    }
    
}


.social{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    column-gap: 15px;
    transform: translateY(100%);

}
.social .box{
    
   width: 25px;
   height: 25px;
    background: #c8c8c8;
    border-radius: 50px;
   position: relative;
   
}
.social .box img {
    width: 13px;
    height: 13px;
    border-radius: 0px;
    margin: auto ;
    position: absolute;
    left:20%;
    top:30% ;
    z-index: 2;
}

.circle{
    z-index: -1;
    background: #c8c8c8;
    border-radius: 80px 0px 0px 80px;
    width: 150px;
    height: 150px;
    top: 80%;
    left: 70%;
    position: absolute;
    
}
/****************** navbar****************************/

.navbar h2{
    font-size: 1.2em;
    position: absolute;
    top:6%;
    left: 10%;

    color: #d7d1d1;
}

.navbar img {
    position: absolute;
    top:7%;
    left: 88%;
    cursor: pointer;
    opacity: 0.9;   
}
.navbar img#menu-toggle{
    top:8%;
    width: 15px;
}

.menubar{
    display: none;
}
.menubar.active{
    display: block;
}
.menubar img{
    
    position:inherit;
}

ul{
    list-style-type: none;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:center;
    background: #282727;
    border-radius: 40px;
    width: 98%;
    height: 98%;
    left: 5px;
    top:5px;
    z-index: 50;
  
}
ul li.list{
    margin: 10px auto 10px auto;
}
ul li img#close{
    position: absolute;
    top:25px;
    
}

.socialbar .box img , .footer .box img{
    position: absolute;
    top: 0;
    left: 10%;
    height: 21px;
    width: 21px;
    
}
.footer .box img,.menubar .box img  {
    top: 10%;
}

/****************** page portfolio  *************************/
.pre-container{
    position: relative;
}
.container{
    position: absolute;
    top: -13%;
    right: 10%;
    left: 10%;
    background: #0b0b0be7;
    min-height: 10vh;
    width: 80%;

    
}
.navPortfolio{
    background: #030303c5;
    box-shadow: 0 0 20px #69676748;
    width: 100%;
    height: 10vh;
    position: fixed;
    top: 0%;
    left: 0;
    z-index: 20;
}
.navPortfolio h2 , .navPortfolio img#menu-toggle{
    margin-top:10px ;
}
.navPortfolio h2 {
    left:12%;
}
.navPortfolio img#menu-toggle{
    height: 20px;

}
 .navPortfolio img#menu-toggle ,.navPortfolio img#close{
      
     right: 10%;
}
.navPortfolio .menubarPortfolio img{
    margin-top: 3px;
}

.menubarPortfolio{
    border-radius: 10px;
    min-height: 60vh;
    right: 10%;
    left: 10%;
    width: 80%;
    
}
/*****hero | about ***********/
.hero{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 60px;
    width: 100%;
    min-height: 85vh;
    background: #121212aa;

}

.hero .boximg{
    position: relative;
    z-index: 1;
    width:40%;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;

}
.hero img{
    position: inherit;
    width: 350px;
    filter: drop-shadow(0 0 10px #cabb7854);
    transform: scalex(-1);
}
.hero .about{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items:start;
    text-align: center;
}
.hero .about h2{
    width: 0%;
    text-align: start;
    overflow: hidden;
    border-right: 0.28rem solid rgb(150, 1, 130);
    white-space: nowrap;
    animation: typing 8s steps(12,start)forwards infinite ;
}
@keyframes typing{
    0%{
        width: 0%;
    }
    50%{
        width: 70%;
    }

}
.hero .about p{
    width: 100%;
    text-align: start;
    margin-top: 20px;
}
/************skills **************/
.skills{
    background-color: #000000;
    display: flex;
    flex-direction: column ;
    justify-content: center;
    align-items: center;
    
    width: 85%;
    left: 8%;
    margin-top: -50px;
    position: relative;
    z-index: 2;
    border-radius: 50px;
    padding-top: 30px; 
   
}
.skills .row1 ,.skills .row2 .contenu {
    
    display: flex;
    justify-content: center;
    column-gap: 30px;
    height: 80px;
}
.skills .row2 .contenu {
    font-size: 15px;
    height: 100%;
   
}

.skills .skil-box{
    background: #000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
    border-radius: 50px;
    position: relative;
    overflow: hidden;
    
}
.skills .skill-1::after{
    content: '';
    width: 100%;
    height: 100%;
    background: conic-gradient(transparent 50%,#02fc28);
    position: absolute;
    z-index: 0;
    animation: rotate2 4s infinite linear;
}
.skills .skill-2::after{
    content: '';
    width: 100%;
    height: 100%;
    background: conic-gradient(transparent 50%,#fc02ef);
    position: absolute;
    z-index: 0;
    animation: rotate3 4s infinite linear;
}
.skills .skill-3::after{
    content: '';
    width: 100%;
    height: 100%;
    background: conic-gradient(transparent 50%,#03c1fa);
    position: absolute;
    z-index: 0;
    animation: rotate4 4s infinite linear;
}
@keyframes rotate2{
    85%{
        transform: rotate(220deg);
    }
    90%{
        transform: rotate(100deg);
    }
   
    
}
@keyframes rotate3{
    100%{
        transform: rotate(90deg);
    }
    45%{
        transform: rotate(100deg);
    }
}@keyframes rotate4{
    89%{
        transform: rotate(150deg);
    }
    90%{
        transform: rotate(100deg);
    }
}
.skills .skil-box::before{
    content: '';
    width: 80%;
    height:80%;
    border-radius: 50px;
    background: #040404;
    position: absolute;
    z-index: 1;
}
.skills h2{
    z-index: 2; 
}
.skills .contenu h6{
    text-align: center;
   
    width: 80px;
    height: 20px;
}
/******** portfolio **********/
.portfolio{
   /* min-height: 80vh;   */
   height: 80vh;
    padding-top: 12vh;
   
}
/**** portfolio > mini navbar****/


.mininav{
    
    display: flex;
    justify-content: space-evenly;
    height: 30px;
    transition: 5s ease-in;
    position: relative;
    text-align: center;

}
.mininav .nav1,.mininav .nav2,.mininav .nav3,.mininav .nav4{
    position: relative;
    width: 40%;
    overflow: hidden;
    text-align: center;
}
.mininav .nav1::before,.mininav .nav2::before, .mininav .nav3::before , .mininav .nav4::before{
        content: '';
        position: absolute;
        top: 10%;
        left:0;
        width: 99%;
        height: 15px;
       
}
.mininav .nav1::before,.mininav .nav2::before, .mininav .nav3::before {
    border-right: 1px solid #cacacaf6;
}
.mininav a{
    color: #cacaca;
    font-weight:600;
    text-transform: capitalize;
    position: relative;
    cursor: pointer;
}
.mininav a::after{
    position: absolute;
    content: '';
    width: 0%;
    height: 4px;
    display: flex;
    justify-content: space-evenly;
    bottom: 0;
    left: 50%;
    transform: translatex(-50%);
    background: radial-gradient( #0228fc, transparent 100%) ;
    transition: all 0.4s ease-in;
}

.mininav a:hover::after{
    width: 70%;
}
.mininav a.nav2::after{
    background: radial-gradient( #02fc28, transparent 100%) ;

}
.mininav a.nav3::after{
    background: radial-gradient( #fc0283, transparent 100%) ;

}
.mininav a.nav4::after{
    background: radial-gradient( #fcfc02, transparent 100%) ;

}

/* Lorsque l'élément a la classe active */
.mininav a.active::after {
    width: 70%;
}
/**** portfolio > tab-gallery ****/
.tab-gallery{
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
}

/**** portfolio > all gallery****/

.gallery{
    position: absolute;
    min-height: 100vh;
    width: 95%;
    columns: 4 ;
    margin:20px auto ;
    column-gap: 10px;
}

.gallery .box{
    position: relative;
    width: 100%;
    margin-bottom: 10px;
    break-inside: avoid;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 10px; 
    transition: 5s ease;
}

.gallery .box:hover::before{
    content: '';
    width:100%;
    height: 100%;
    position:absolute;
   
    background: #07070775;
}
.gallery .box img{
    max-width: 100%;
}
.icon{
    display: flex;
    flex-direction: column;
    opacity: 0.9;
    position:absolute;
    display: none;
}
.gallery .box:hover .icon{
    display: flex; 
}
.icon a img{
    width: 30px;
    height: 30px;
}



/*************** contact form ***************/
.contact{
    padding-top: 12vh;
    display: flex;
    width: 100%;
    height: 65vh ;
   position: relative;
   overflow: hidden;
}
.contact-left{     /* form */
    width: 80%;
    
    display: flex;
    flex-direction: column;
    z-index: 1;
    position: absolute;
    top: 30%;

    
}
.contact .contact-left h2{
    text-align: center;
    text-transform: uppercase;
    font-weight: 800;
}
hr{
    margin: 15px auto;
    background: #fffefe6f;
    border: none;
    width: 80%;
    height: 1px;
}
.contact .contact-left .contact-inputs{
    margin-left: 8%;
    padding: 10px;
    border-radius: 10px;
    outline-offset: 0px;
    outline-color: #4002fc;
    margin-top: 5px;
    border: 1px solid #90909159;
}
.contact .contact-left textarea{
    min-height: 80px;
}
.btncontact{
    height:60px;
    display: flex;
    justify-content: center;
}
.contact-right{
    width: 40%;
    
}
.div-box{
    width: 180%;
    height: 100%;
    position: relative;
    top: 0;
    right:-80%;
    overflow: hidden;
    z-index: 0;

}
.contact-right img{
    width: 500px;
    height: 500px;
    background-color: #243cda93;
    transform: rotate(-45deg) scaleX(-1);
    border-radius: 500px;
    position: relative; 
    right: -60%;
    top:-20%;
}


/*************** footer ***************/

.footer{
    background-image: url(images/bgweb.png);
    background-size: cover;
    width: 100%;
    min-height: 25vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    column-gap: 20px;
    position: relative;
    font-size: 10px;
    color: #b4b1b1 ;
   z-index: 0;

    
}
.footer::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    background: #1c1c1c46;
    z-index: 0;
    backdrop-filter: blur(1px);
}
.footer .copyright, .footer .social{
    z-index: 2;   
    color:#cacaca ; 
}
.copyright a{
    text-decoration:underline;
    color:#cacaca ; 
}

/************ responsive mode ***************/


@media (min-width : 780px) {
   
  
    .header h2{
        font-size: 15px;
    }
    .header h4 {
        font-size: 13px;
    }
    .navbar img#menu-toggle{
        top: 8.6%;
        width: 20px;
    }
    ul li img#close{
        transform: scale(1.2);
        
    }
    .btn button {
        height: 35px;
        width: 120px;
        margin-left: 10px;
        margin-right: 10px;
    }
    

     .circle{
        width: 290px;
        height: 290px;
        top:70%;
        left: 80%;
        border-radius: 150px;
     }
   .hero h2 ,.navbar h2{
        font-size: 30px;
    }
    
    .hero p{
        font-size: 22px;
    }
     
    .skills .row1 ,.skills .row2 .contenu {
        column-gap: 80px;
    }
    .portfolio{
        min-height: 110vh;
    }
    
    .contact-right img{
       
        right: -40%;
        
    }
   
   
    .footer .box {
        width: 35px;
        height: 35px;
        
    }
    .footer .box img{
        top: 20%;
        left: 20%;
    }
    
    
    .mode,.langue{
        width: 50px;
        height: 50px;
    }

 
}

@media (min-width: 900px){
    .mode,.langue{
        width: 60px;
        height: 60px;
    }
    .portfolio{
        min-height:120vh;
    }
    .contact-right img{
       width: 550px;
       height: 550px;
        right: -50%;
       
    }
   
   
}
@media (min-width : 1280px){
    .header{
        width: 150%;
        height: 50%;
    }
    .contact-right img{
       
        right: -60%;
        
    }
   

}
@media (max-width : 1200px){
    
       .gallery{
            columns: 3;
        }
        .portfolio{
            min-height: 150vh;
        }
        .contact-right img{
       
            right: -60%;
         
        }
       
    
}

@media (max-width :768px){
  
    .gallery{
        columns: 2;
    }
    .switchers{
        display: flex;
        justify-content: space-around;
        align-items: center;
        width:75px;
        height: 30vh;
        min-height: 30vh;
        border-top-right-radius: 15px;
        border-bottom-right-radius: 15px;
        position: absolute;
        z-index: 1;
        left:0%;
        top: 30%; 
        cursor: pointer; 
        transition: 1s ease-in  ;
        transform: translate(-75%);
    

    }
    
    .switchers:hover{ 
        transform: translate(0%);
    
    } 
    .switchportfolio{
        position: fixed;
    }  
    .btnswitch{
    background: #8a2f76c5;
        height: 100%;
        width: 100%;
        border-top-right-radius: 15px;
        border-bottom-right-radius: 15px;
       display: flex;
       flex-direction: column; 
       justify-content: center;
       padding-left: 10px;
       row-gap: 10px;

    }
    .btnswitch::after{
        content: '';
        background: #8a2f76c5;
        width: 6px;
        height: 60px;
        position: absolute;
        z-index: -2;
        transform: translateX(1081%);
        border-top-right-radius:50px;
        border-bottom-right-radius: 50px;

    }
    .indicator{
        cursor: pointer;
        position: absolute;
        border-top: 1.7px solid #8f8e8e;
        border-right: 1.7px solid #8f8e8e;
        transform: rotate(45deg);
        width: 5px;
        height: 5px;
        right: 0%;
        
    }
    .separator{
        display: block;
        width: 120px;
        position: absolute;
        right: -68%;
        background-color: #8f8e8e74;
        transform: rotate(90deg);
    } 
 
    .switchers:has(input[type="checkbox"]:checked ) .btnswitch
    ,.switchers:has(input[type="checkbox"]:checked ) .btnswitch::after  {
        background: #2c2c2ce2;
    }
    .portfolio{
        min-height: 190vh;
    }
    .contact-right img{
       
        right: -40%;
        top:-20%;
    }
   
 
}

@media (max-width :560px){
    
    
   .container{
    width: 90%;
    left: 5%;

   }
   .navPortfolio h2{
    left: 1%;
    
   }
   .navPortfolio img{
    left:92%;
   }
   .menubarPortfolio{
    top: 1%;
    left: 0%;
    width: 100%;
   }
   
  
  
    
}
@media (max-width :480px)  {
    
   
    .hero{
        flex-direction: column;
        height: 80vh;
    }
    .hero img{
        width: 150px;
        margin-top: 108%;
        margin-left: 2%;
        filter: drop-shadow(0 0 10px #cabb7854);
        transform: scalex(-1);
        transform: scale(2);
    }
    .hero .boximg{
        width:150px;
        height: 150px;
        border-radius: 500px;
        margin-top: -80px;
        
    }
    .hero .about{ 
        align-items:center;
        width: 100%;
        font-size: 12px;
    }
    .hero .about p , .hero .about h2 {
        margin-top: 20px;
        text-align: center;
        width: 90%;
     }
    .skills{
        height: 80vh;
        position: relative;
    }
    .skills .row1, .skills .row2 .contenu {
        position: absolute;
        height: auto;
        flex-direction: column;
        row-gap: 40px;
    }
   
    .skills .row2 .contenu {
      position: absolute;
      top: 0;
      row-gap: 98px;
      top: 40%;
      left: 38%;
    }
    .portfolio{
        min-height: 470vh;

    }
    .gallery{
        columns: 1;
    }
    .mininav a{
        font-size: 13px;
    }
    .contact-right img{
        width: 400px;
        height: 400px;
        right: -40%;
        top:-10%;

    }
}

@media  (max-width: 400px) {
    .portfolio{
        min-height: 320vh;
     }
    .socialbar{
        margin-top:50px;
    }
   
    .contact-right img{
        
        right: -25%;
        top:-10%;
    }
}

@media (max-width: 400px)  and (max-height :700px)
{   .contact{
    min-height: 80vh;
}
    .portfolio{
        min-height: 360vh;
    }
    .footer .box{
       margin-top: -10px;
    }
}
@media (max-width: 400px)  and (max-height :640px)
{   .contact{
    min-height: 80vh;
}
    .portfolio{
        min-height: 390vh;
    }
    .footer .box{
       margin-top: -10px;
    }
}

@media (max-width: 400px)  and (max-height :600px)
{   .contact{
    min-height: 80vh;
}
    .portfolio{
        min-height: 420vh;
    }
    .footer .box{
       margin-top: -10px;
    }
}
@media (max-width: 400px)  and (max-height :580px)
{   .contact{
    min-height: 92vh;
}
    .portfolio{
        min-height: 450vh;
    }
    .footer .box{
       margin-top: -20px;
    }
}
@media (max-width: 400px)  and (max-height :540px)
{   .contact{
    min-height: 92vh;
}
    .portfolio{
        min-height: 480vh;
    }
    .footer .box{
       margin-top: -20px;
    }
}
@media (max-width: 400px)  and (max-height :400px)
{   .contact{
    min-height: 92vh;
}
    .portfolio{
        min-height: 630vh;
    }
    .footer .box{
       margin-top: -20px;
    }
}
@media (max-width: 400px)  and (max-height :380px)
{   .contact{
    min-height: 92vh;
}
    .portfolio{
        min-height: 680vh;
    }
    .footer .box{
       margin-top: -20px;
    }
}
